Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class UpdateRowsCommand

    java.lang.Object
      org.labkey.remoteapi.Command<ResponseType>
          org.labkey.remoteapi.PostCommand<SaveRowsResponse>
              org.labkey.remoteapi.query.SaveRowsCommand
                  org.labkey.remoteapi.query.UpdateRowsCommand

    public class UpdateRowsCommand

extends SaveRowsCommand

Command for updating rows into a table in a read-write schema. The user associated with the connection used when executing this command must have permission to update data into the specified query.

For details on schemas and queries, and example code, see the `SaveRowsCommand`.

See Also:
  `SaveRowsCommand`

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`UpdateRowsCommand(java.lang.String schemaName, java.lang.String queryName)` Constructs an UpdateRowsCommand for the given schemaName and queryName.
`UpdateRowsCommand(UpdateRowsCommand source)`

Method Summary
`UpdateRowsCommand` | `copy()` Returns a copy of this object.

Methods inherited from class org.labkey.remoteapi.query.SaveRowsCommand
`addRow, createResponse, getExtraContext, getJsonObject, getQueryName, getRows, getSchemaName, setExtraContext, setQueryName, setRows, setSchemaName`

Methods inherited from class org.labkey.remoteapi.PostCommand
`createMethod, setJsonObject`

Methods inherited from class org.labkey.remoteapi.Command
`execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateRowsCommand

    public UpdateRowsCommand(java.lang.String schemaName,
                             java.lang.String queryName)

  Constructs an UpdateRowsCommand for the given schemaName and queryName. See the `SaveRowsCommand` for more details.

  Parameters:
    `schemaName` - The schemaName
    `queryName` - The queryName.
  See Also:
    `SaveRowsCommand`

### UpdateRowsCommand

    public UpdateRowsCommand(UpdateRowsCommand source)

Method Detail

### copy

    public UpdateRowsCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Specified by:
    `copy` in class `SaveRowsCommand`
  Returns:
    A copy of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD